Data.Semigroup

class Semigroup a

stimesMonoid

stimesIdempotent

stimesIdempotentMonoid

mtimesDefault

# Semigroups

data Min a

data Max a

data First a

data Last a

data WrappedMonoid m

# Re-exported monoids from Data.Monoid

class Monoid a

data Dual a

data Endo a

data All

data Any

data Sum a

data Product a

# A better monoid for Maybe

data Option a

option

# Difference lists of a semigroup

diff

cycle1

# ArgMin, ArgMax

data Arg a b

type ArgMin a b

type ArgMax a b